## org.flexdock.perspective.restore.handlers
Class PointHandler

    java.lang.Object
      org.flexdock.perspective.restore.handlers.PointHandler

All Implemented Interfaces:
  DockingConstants, RestorationHandler

    public class PointHandler

extends java.lang.Object
implements RestorationHandler, DockingConstants

Created on 2005-05-26

Version:
  $Id: PointHandler.java,v 1.5 2005-06-20 23:55:48 marius Exp $
Author:
  Christopher Butler

Field Summary

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`PointHandler()`

Method Summary
`boolean` `restore(Dockable dockable, DockingState dockingState, java.util.Map context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointHandler

    public PointHandler()

Method Detail

### restore

    public boolean restore(Dockable dockable,
                           DockingState dockingState,
                           java.util.Map context)

  Specified by:
    `restore` in interface `RestorationHandler`